
Foreman - Refactor #36651

Tracker # 36640 (Closed): Support Minitest 5.19+

Support Minitest 5.19+

08/08/2023 08:37 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9786

  

Description

Associated revisions

Revision 2cadaaaa - 08/08/2023 10:13 AM - Evgeni Golov

Fixes #36651 - Support Minitest 5.19+

This reverts commit 1c3a4155f286352e0abbf0d0b298e47e81c2d6c5.

Thus un-pinning minitest again

update minitest-spec-rails to 7.1+

This contains a fix required for minitest 5.19+

Update mocha to 2.1+ for minitest 5.19+ compat

Use minitest (5) support in shoulda-matchers

We've not been using Minitest 4 for a while now

Use Minitest namespace, not MiniTest

Don't override metadata, minitest doesn't like that

History

#1 - 08/08/2023 08:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman/pull/9786 added

#2 - 08/08/2023 10:13 AM - The Foreman Bot

- Fixed in Releases 3.8.0 added

#3 - 08/08/2023 10:15 AM - Evgeni Golov

- Status changed from Ready For Testing to Closed

#4 - 09/11/2023 10:31 AM - Ewoud Kohl van Wijngaarden

- Category set to Tests

- Triaged changed from No to Yes
